"{ Package: 'ctu:ircompiler' }"

IRInstruction subclass:#IRJump
	instanceVariableNames:'destination'
	classVariableNames:''
	poolDictionaries:''
	category:'IR Compiler-IR'
!

IRJump comment:'Instruction "goto: labelNum"'
!


!IRJump methodsFor:'accessing'!

destination

	^ destination
!

destination: aSequence

	destination := aSequence
!

successorSequences

	^ {destination}
! !

!IRJump methodsFor:'interpret'!

executeOn: interpreter

	^ interpreter goto: destination orderNumber
! !

!IRJump methodsFor:'testing'!

isGoto
	"is unconditional jump"

	^ true
!

isJump
	"goto or if"

	^ true
! !

!IRJump class methodsFor:'documentation'!

version_CVS
    ^ 'Header: /cvs/stx/cvut/stx/goodies/newcompiler/IRJump.st,v 1.3 2009/10/08 12:01:23 fm Exp '
!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !

